Skip to content

Execute Batch Operations

Request

TAllows you to perform up to 100 parallel patch/delete operations

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The batch request

operationsArray of objects
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorShowFloors/{tenantId}/batch' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "operations": [
      {
        "id": "string",
        "object": {},
        "operation": "create",
        "patch_directives": [
          {
            "op": "add",
            "path": "string",
            "value": "string"
          }
        ],
        "payload": {
          "abstract": {
            "approval_process_id": "string",
            "average_score": 0.1,
            "body": "string",
            "bucket_id": "string",
            "city": "string",
            "co_author_1": {
              "email_address": "string",
              "first_name": "string",
              "last_name": "string",
              "phone_number": "string",
              "speaker_type_id": "string"
            },
            "co_author_2": {
              "email_address": "string",
              "first_name": "string",
              "last_name": "string",
              "phone_number": "string",
              "speaker_type_id": "string"
            },
            "co_author_3": {
              "email_address": "string",
              "first_name": "string",
              "last_name": "string",
              "phone_number": "string",
              "speaker_type_id": "string"
            },
            "co_author_4": {
              "email_address": "string",
              "first_name": "string",
              "last_name": "string",
              "phone_number": "string",
              "speaker_type_id": "string"
            },
            "co_author_5": {
              "email_address": "string",
              "first_name": "string",
              "last_name": "string",
              "phone_number": "string",
              "speaker_type_id": "string"
            },
            "co_authors": [
              {
                "co_author_contact_id": "string",
                "co_author_contact_info": {},
                "speaker_type_id": "string"
              }
            ],
            "country": "string",
            "custom_field_values": [
              {
                "boolean_value": true,
                "custom_field_id": "string",
                "file_url_value": "string",
                "list_value": [
                  null
                ],
                "numeric_value": 0.1,
                "string_value": "string",
                "table_value": [
                  {}
                ]
              }
            ],
            "date": "2019-08-24T14:15:22Z",
            "email_address": "string",
            "event_id": "string",
            "first_name": "string",
            "has_co_authors": true,
            "id": "string",
            "job_title": "string",
            "last_name": "string",
            "last_review_status_change": "2019-08-24T14:15:22Z",
            "main_presenter_id": "string",
            "max_contact_submissions": 0.1,
            "name": "string",
            "notes": "string",
            "number": 0.1,
            "organization_id": "string",
            "override_bucket_assignment": true,
            "pending_console_review": true,
            "presenter_info": {
              "contact_info": {},
              "email_presenter": true
            },
            "process_id": "string",
            "review_process_id": "string",
            "review_round_id": "string",
            "review_status": "accepted",
            "reviewer_recommendation": "string",
            "reviews_assigned": true,
            "room_ids": [
              "string"
            ],
            "round_id": "string",
            "round_scores": [
              {
                "round_id": "string",
                "score": 0.1
              }
            ],
            "session_has_been_generated": true,
            "session_track_ids": [
              "string"
            ],
            "state": "string",
            "status": "accepted",
            "submission_space_id": "string",
            "submitter_id": "string",
            "submitting_on_behalf_of_presenter": true,
            "sys_bulk_load_at": "string",
            "sys_bulk_load_id": "string",
            "sys_bulk_load_pk": "string",
            "sys_bulk_load_record_no": 0.1,
            "sys_bulk_load_source_file": "string",
            "sys_calculated_field_error": "string",
            "sys_calculated_field_errors": [
              {
                "error": "string",
                "field": "string"
              }
            ],
            "sys_configuration_snapshot_id": "string",
            "sys_created_at": "2019-08-24T14:15:22Z",
            "sys_created_by_id": "string",
            "sys_deleted_by_id": "string",
            "sys_directive": "string",
            "sys_external_id": "string",
            "sys_has_files_in_s3": true,
            "sys_last_bulk_data_operation_id": "string",
            "sys_last_bulk_data_operation_sys_version": "string",
            "sys_last_modified_at": "2019-08-24T14:15:22Z",
            "sys_last_modified_by_id": "string",
            "sys_last_security_context": {},
            "sys_locked": true,
            "sys_snapshot_base_version": 0.1,
            "sys_version": 0.1,
            "title": "string",
            "total_score": 0.1,
            "type_id": "string"
          },
          "allow_duplicates": true,
          "main_presenter_speaker_type_id": "string",
          "make_co_authors_speakers": true,
          "new_status": "accepted",
          "suppress_email_notifications": true,
          "type_id": "string"
        }
      }
    ]
  }'

Responses

Request completed successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
error_countnumber, (float)(Error Count)

Number of error results

resultsArray of objects
success_countnumber, (float)(Success Count)

Number of successful results

Response
{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }